#include "ItemInstance.h"

void UItemInstance::PostInitProperties()
{
	Super::PostInitProperties();
	
	if (HasAnyFlags(RF_ClassDefaultObject | RF_ArchetypeObject | RF_NeedLoad))
		return;
	if (!InstanceID.IsValid())
		InstanceID = FGuid::NewGuid();
}

void UItemInstance::PostDuplicate(EDuplicateMode::Type DuplicateMode)
{
	Super::PostDuplicate(DuplicateMode);
	InstanceID = FGuid::NewGuid();
}
